Bug 1285767 - Review Request: golang-github-seccomp-libseccomp-golang - The libseccomp golang bindings repository
Review Request: golang-github-seccomp-libseccomp-golang - The libseccomp gola...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Boris Ranto
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1286114
  Show dependency treegraph
 
Reported: 2015-11-26 07:20 EST by Jan Chaloupka
Modified: 2017-03-08 10:47 EST (History)
2 users (show)

See Also:
Fixed In Version: golang-github-seccomp-libseccomp-golang-0-0.2.git1b506fc.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-08 10:47:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
branto: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jan Chaloupka 2015-11-26 07:20:06 EST
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-seccomp-libseccomp-golang/golang-github-seccomp-libseccomp-golang.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-seccomp-libseccomp-golang/golang-github-seccomp-libseccomp-golang-0-0.1.git1b506fc.fc20.src.rpm

Description: The libseccomp golang bindings repository

Fedora Account System Username: jchaloup

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=11984989

$ rpmlint golang-github-seccomp-libseccomp-golang-0-0.1.git1b506fc.fc20.src.rpm golang-github-seccomp-libseccomp-golang-devel-0-0.1.git1b506fc.fc20.noarch.rpm golang-github-seccomp-libseccomp-golang-unit-test-devel-0-0.1.git1b506fc.fc20.x86_64.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Boris Ranto 2015-12-01 08:42:29 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 3 files have unknown license. Detailed
     output of licensecheck in /home/branto/pkg/rhel/ipmitool/1285767
     -golang-github-seccomp-libseccomp-golang/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-seccomp-libseccomp-golang-devel , golang-github-seccomp-
     libseccomp-golang-unit-test-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-seccomp-libseccomp-golang-devel-0-0.1.git1b506fc.fc24.noarch.rpm
          golang-github-seccomp-libseccomp-golang-unit-test-devel-0-0.1.git1b506fc.fc24.x86_64.rpm
          golang-github-seccomp-libseccomp-golang-0-0.1.git1b506fc.fc24.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-seccomp-libseccomp-golang-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-seccomp-libseccomp-golang-devel

golang-github-seccomp-libseccomp-golang-devel (rpmlib, GLIBC filtered):



Provides
--------
golang-github-seccomp-libseccomp-golang-unit-test-devel:
    golang-github-seccomp-libseccomp-golang-unit-test-devel
    golang-github-seccomp-libseccomp-golang-unit-test-devel(x86-64)

golang-github-seccomp-libseccomp-golang-devel:
    golang(github.com/seccomp/libseccomp-golang)
    golang-github-seccomp-libseccomp-golang-devel



Source checksums
----------------
https://github.com/seccomp/libseccomp-golang/archive/1b506fc7c24eec5a3693cdcbed40d9c226cfc6a1/libseccomp-golang-1b506fc.tar.gz :
  CHECKSUM(SHA256) this package     : 349819bd1e371d5b07cc5c87bd7a1e095dd07e3e8024e4446941e07efd6884a9
  CHECKSUM(SHA256) upstream package : 349819bd1e371d5b07cc5c87bd7a1e095dd07e3e8024e4446941e07efd6884a9


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1285767
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Gwyn Ciesla 2015-12-01 10:29:22 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/golang-github-seccomp-libseccomp-golang
Comment 3 Fedora Update System 2015-12-01 12:50:13 EST
golang-github-seccomp-libseccomp-golang-0-0.1.git1b506fc.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a5f9731b9a
Comment 4 Fedora Update System 2015-12-01 12:50:17 EST
golang-github-seccomp-libseccomp-golang-0-0.1.git1b506fc.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-cbd210404c
Comment 5 Fedora Update System 2015-12-03 11:02:43 EST
golang-github-seccomp-libseccomp-golang-0-0.1.git1b506fc.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-seccomp-libseccomp-golang'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a5f9731b9a
Comment 6 Fedora Update System 2015-12-03 12:19:33 EST
golang-github-seccomp-libseccomp-golang-0-0.1.git1b506fc.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update golang-github-seccomp-libseccomp-golang'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-a75fca7b0d
Comment 7 Fedora Update System 2015-12-03 20:38:06 EST
golang-github-seccomp-libseccomp-golang-0-0.1.git1b506fc.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update golang-github-seccomp-libseccomp-golang'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-cbd210404c
Comment 8 Fedora Update System 2016-02-23 14:23:18 EST
golang-github-seccomp-libseccomp-golang-0-0.1.git1b506fc.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-02-23 14:49:07 EST
golang-github-seccomp-libseccomp-golang-0-0.1.git1b506fc.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-05-26 10:17:27 EDT
golang-github-seccomp-libseccomp-golang-0-0.4.git60c9953.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-674de83204
Comment 11 Fedora Update System 2016-05-26 19:49:30 EDT
golang-github-seccomp-libseccomp-golang-0-0.4.git60c9953.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-674de83204
Comment 12 Fedora Update System 2017-03-08 10:47:45 EST
golang-github-seccomp-libseccomp-golang-0-0.4.git60c9953.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.